Read a file
GET
/v1/disks/{disk}/files/{path}GET
/v1/disks/{disk}/files/{path}
const url = 'https://api.wabe.sh/v1/disks/demo/files/notes.txt';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wabe.sh/v1/disks/demo/files/notes.txt \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
path
required
Virtual file path relative to root; may contain slash-separated components.
string
Example
notes.txtQuery Parameters
Section titled “Query Parameters”branch
string
commit
string format: uuid
label
string
Responses
Section titled “Responses”Exact file bytes.
Media typeapplication/octet-stream
string format: binary
Invalid input, query, name or source.
Media typetext/plain
string
Missing, invalid or revoked project API key, or an invalid runtime access token.
Media typeapplication/json
object
error
required
string
message
required
string
Actor runtime token does not authorize this disk or instance generation.
Media typeapplication/json
object
error
required
string
message
required
string
Requested file, parent or script was not found.
Media typetext/plain
string
Storage, I/O or corruption failure.
Media typetext/plain
string
Disk unavailable.
Media typeapplication/json
object
error
required
string
message
required
string